Installing Intel® Distribution for Python* and Intel® Performance Libraries with Anaconda*

We have worked with Continuum Analytics* to make it easy to use Intel® Distribution for Python and the Intel® Performance Libraries (such as Intel® Math Kernel Library (Intel® MKL)) with the Conda* package manager and Anaconda Cloud*. You need at least conda 4.1.11, so first update your conda.

conda update conda

Tell conda to choose Intel packages over default packages, when available.

conda config --add channels intel

Installing the Intel® Distribution for Python*

We recommend that you create a new environment when installing. To install the core python3 environment, do:

conda create -n idp intelpython3_core python=3

If you want python 2 do:

conda create -n idp intelpython2_core python=2

If you want the full Intel distribution, replace the "core" package name with "full", like this for python3:

conda create -n idp intelpython3_full python=3

Then follow the usual directions for activating the environment. Linux/macOS users do:

source activate idp

and Microsoft Windows users do:

activate idp

You now have the core environment, including python, numpy, scipy,... You can use the usual conda install commands for additional packages. For example, to install intel sympy do:

conda install sympy

Non-intel packages are installed as usual. For example, to install affine do:

conda install affine

Available Intel packages can be viewed here: https://anaconda.org/intel/packages

Using Intel Conda* Packages with Continuum's Python*

If you want to install Intel packages into an environment with Continuum's python, do not add the "intel" channel to your configuration file because that will cause all your Continuum packages to be replaced with Intel builds, if available. Rather, specify the "intel" channel on the command line with "-c intel" parameter and the "--no-update-deps" flag to avoid switching other packages, such as python itself, to Intel's builds:

conda install mkl -c intel --no-update-deps
conda install numpy -c intel --no-update-deps

Installing the Intel® Performance Libraries

If you want to build a native extension that directly uses the performance libraries, then you will need to obtain a development package that contains header files and static libraries. We have published them as conda packages for your convenience. 

Make sure the Intel channel is added to your conda configuration (see above). Then install any of our available performance libraries using "conda install" as normal, such as:

conda install mkl-devel

The following table lists the available packages with a brief description for their contents:

Package NameLin‑64Lin‑32Win‑64Win‑32macOS‑64Description
mklXXXXXIntel® Math Kernel Library (Intel® MKL) dynamic runtimes
mkl‑develXXXXXIntel® MKL dynamic runtimes and headers for building software
mkl‑staticXXXXXIntel® MKL static libraries and headers for building software
mkl‑includeXXXXXIntel® MKL headers only. Automatically installed along with development packages
       
       

 

For more complete information about compiler optimizations, see our Optimization Notice.

21 comments

Top
__tjs__'s picture

Here's a one-liner to get you the latest full intel python distribution without any headache to your conda config or existing environments.

conda create -n intel -c intel intelpython3_full python=3

I already have Anaconda 4.6.1 installed.  Will installing the "Installing Intel® Distribution for Python* and Intel® Performance Libraries with Anaconda" cause any issues with my existing install or will it be ok since the instructions state that a new environment is being created?

Should I use the "conda config --add channels intel" command if I want to use my already installed Anaconda 4.6.1?

bigsemite's picture

Hi Team,

Following the instructions above, the installation/configuration was successful. My host OS is Windows 10.

Note: Use the Anaconda Prompt instead of the default command prompt makes life easier.

Thanks

Hey folks, not being able to install the "full" python version, no issues with the core though...

It seems that when is "Solving Enviroment" takes forever and nothing else happens, I don't get asked if I want to proceed Y/N
 

Hi, i still cannot activate idp.

the error says: File cannot be found

 

Please help

dipaditya_das's picture

Conda update problem!!!!!

please Help!!

 

 

C:\intelpython3>scripts\activate
The system cannot find the file specified.

The system cannot find the file specified.
Copyright 2007-2019 Intel Corporation.

(base) C:\intelpython3>conda update --all
Traceback (most recent call last):
  File "C:\intelpython3\lib\site-packages\conda\exceptions.py", line 819, in __call__
    return func(*args, **kwargs)
  File "C:\intelpython3\lib\site-packages\conda\cli\main.py", line 78, in _main
    exit_code = do_call(args, p)
  File "C:\intelpython3\lib\site-packages\conda\cli\conda_argparse.py", line 76, in do_call
    module = import_module(relative_mod, __name__.rsplit('.', 1)[0])
  File "C:\intelpython3\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 665, in _load_unlocked
  File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\intelpython3\lib\site-packages\conda\cli\main_update.py", line 9, in <module>
    from .install import install
  File "C:\intelpython3\lib\site-packages\conda\cli\install.py", line 20, in <module>
    from ..core.index import calculate_channel_urls, get_index
  File "C:\intelpython3\lib\site-packages\conda\core\index.py", line 7, in <module>
    from .package_cache_data import PackageCacheData
  File "C:\intelpython3\lib\site-packages\conda\core\package_cache_data.py", line 13, in <module>
    from .path_actions import CacheUrlAction, ExtractPackageAction
  File "C:\intelpython3\lib\site-packages\conda\core\path_actions.py", line 11, in <module>
    from .envs_manager import USER_ENVIRONMENTS_TXT_FILE, register_env, unregister_env
  File "C:\intelpython3\lib\site-packages\conda\core\envs_manager.py", line 9, in <module>
    from .prefix_data import PrefixData
  File "C:\intelpython3\lib\site-packages\conda\core\prefix_data.py", line 16, in <module>
    from ..gateways.disk.create import write_as_json_to_file
  File "C:\intelpython3\lib\site-packages\conda\gateways\disk\create.py", line 16, in <module>
    from .delete import rm_rf
  File "C:\intelpython3\lib\site-packages\conda\gateways\disk\delete.py", line 18, in <module>
    import win32file
ModuleNotFoundError: No module named 'win32file'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\intelpython3\Scripts\conda-script.py", line 10, in <module>
    sys.exit(main())
  File "C:\intelpython3\lib\site-packages\conda\cli\main.py", line 113, in main
    return conda_exception_handler(_main, *args)
  File "C:\intelpython3\lib\site-packages\conda\exceptions.py", line 1108, in conda_exception_handler
    return_value = exception_handler(func, *args, **kwargs)
  File "C:\intelpython3\lib\site-packages\conda\exceptions.py", line 822, in __call__
    return self.handle_exception(exc_val, exc_tb)
  File "C:\intelpython3\lib\site-packages\conda\exceptions.py", line 862, in handle_exception
    return self.handle_unexpected_exception(exc_val, exc_tb)
  File "C:\intelpython3\lib\site-packages\conda\exceptions.py", line 873, in handle_unexpected_exception
    self.print_unexpected_error_report(error_report)
  File "C:\intelpython3\lib\site-packages\conda\exceptions.py", line 943, in print_unexpected_error_report
    from .cli.main_info import get_env_vars_str, get_main_info_str
  File "C:\intelpython3\lib\site-packages\conda\cli\main_info.py", line 24, in <module>
    from ..core.envs_manager import env_name
  File "C:\intelpython3\lib\site-packages\conda\core\envs_manager.py", line 9, in <module>
    from .prefix_data import PrefixData
  File "C:\intelpython3\lib\site-packages\conda\core\prefix_data.py", line 16, in <module>
    from ..gateways.disk.create import write_as_json_to_file
  File "C:\intelpython3\lib\site-packages\conda\gateways\disk\create.py", line 16, in <module>
    from .delete import rm_rf
  File "C:\intelpython3\lib\site-packages\conda\gateways\disk\delete.py", line 18, in <module>
    import win32file
ModuleNotFoundError: No module named 'win32file'

Hi,

What is "continuum's python"? I know that Anaconda used to be called Continuum, but isn't this whole page about installing for Anaconda, so why is there a section on "Using Intel Conda* Packages with Continuum's Python*"?

Kind regards,

William

Hi,

When i try the line "activate idp" in Anaconda Prompt on my Windows 10 PC after following the above steps, I receive the error message:

(idp) C:\WINDOWS\system32>conda.bat activate idp
The system cannot find the file specified.

My environment location is  "C:\ProgramData\Anaconda3\envs\idp"

Is there some way to resolve this? I'm quite new to this and I'm not really sure what "activate" does for an environment either?

Ideally I want to make this intel package my default in the hope that it would make my computer run python faster.

Kind regards,

will3452

@singhania, vipul

You can manually specify the channel. For example, 

conda create -c pkgs/main -n mynewenvironment python=3

would create an environment using the regular anaconda provided python distribution.

@Vikrant K.

Probably you can try installing without having connected to the Intel Network.

 

ConnectTimeout(MaxRetryError("HTTPSConnectionPool(host='repo.anaconda.com', port=443): Max retries exceeded with url: /pkgs/pro/noarch/repodata.json.bz2 (Caused by ConnectTimeoutError(<urllib3.connection.VerifiedHTTPSConnection object at 0x00000299626090B8>, 'Connection to repo.anaconda.com timed out. (connect timeout=9.15)'))"))

 

This error appeared to me when connected with the Intel Network due to download restrictions etc and upon maximum number of retry failures, the connection gets timed out.

Pages

Add a Comment

Have a technical question? Visit our forums. Have site or software product issues? Contact support.